using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface IVisitorLogic
    {
        List<VisitorViewModel>? ReadList(VisitorSearchModel? model);
        VisitorViewModel? ReadElement(VisitorSearchModel model);
        bool Create(VisitorBindingModel model);
        bool Update(VisitorBindingModel model);
    }
}
